Spree Admin SDK
Delete a delivery profile
The default profile and profiles still referenced by products cannot be deleted.
Required scope: write_settings (for API-key authentication).
DELETE
Spree Admin SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.deliveryProfiles.delete('fp_86Rf07xd4z')spree api delete /delivery_profiles/{id}The default profile and profiles still referenced by products cannot be deleted.
Required scope: write_settings (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.deliveryProfiles.delete('fp_86Rf07xd4z')spree api delete /delivery_profiles/{id}Was this page helpful?
